xcb_dbe_begin_idiom(3)

NAME
xcb_dbe_begin_idiom - Begins a logical swap block

SYNOPSIS
#include <xcb/dbe.h>

  Request function

xcb_void_cookie_t xcb_dbe_begin_idiom(xcb_connection_t *conn,

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

DESCRIPTION
Creates a block of operations intended to occur together. This may be needed if window presentation requires changing buffers unknown to this extension, such as depth or stencil buffers.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_dbe_begin_idiom_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from dbe.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.